All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class ProgressDialog

    com.sas.visuals.ProgressDialog

All Implemented Interfaces:
  ContainerInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class ProgressDialog

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.awt.Dialog
`_cantUseSASModal, _inApplet, _modal, autoDispose, RB_KEY, READY, setVisibleCalled, t`

Constructor Summary
`ProgressDialog(java.awt.Frame f, java.net.URL codeBase, java.lang.String title)`
`ProgressDialog(java.awt.Frame f, java.net.URL codeBase, java.lang.String title, boolean allowCancel)`
`ProgressDialog(java.awt.Frame f, java.net.URL codeBase, java.lang.String title, boolean allowCancel, java.awt.Dimension defaultDimension)`

Method Summary
`java.awt.Insets` | `getInsets()`
`protected void` | `onCancel()`
`void` | `setCommandThread(java.lang.Thread commandThread)`
`void` | `setMessage(java.lang.String msg)`
`void` | `setVisible(boolean vis)` setVisible() is the set accessor method for the Visible attribute.
`boolean` | `wasCancelled()`

Methods inherited from class com.sas.awt.Dialog
`center, centerOver, centerOverWindow, dispose, fireReadySignal, getAutoDispose, getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, getText, hide, isSASModalEnabled, newDispatchThread, processWindowEvent, setAutoDispose, setDefaultHeight, setDefaultWidth, setModal, setResizable, setSASModalEnabled, setText, setTitle, setVisible, show, stopDispatchThread, waitForReadySignal, waitTilReady, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class com.sas.awt.DialogContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setDefaultValues, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.DialogVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPreferredSize, getPrePainter, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Constructor Detail

### ProgressDialog

    public ProgressDialog(java.awt.Frame f,
                          java.net.URL codeBase,
                          java.lang.String title)

### ProgressDialog

    public ProgressDialog(java.awt.Frame f,
                          java.net.URL codeBase,
                          java.lang.String title,
                          boolean allowCancel)

### ProgressDialog

    public ProgressDialog(java.awt.Frame f,
                          java.net.URL codeBase,
                          java.lang.String title,
                          boolean allowCancel,
                          java.awt.Dimension defaultDimension)

Method Detail

### setCommandThread

    public void setCommandThread(java.lang.Thread commandThread)

### setVisible

    public void setVisible(boolean vis)

  Description copied from interface: `VisualInterface`
  setVisible() is the set accessor method for the Visible attribute. Pass in true to show the component. Pass in false to hide the component.

  Specified by:
    `setVisible` in interface `VisualInterface`
  Overrides:
    `setVisible` in class `Dialog`
  Parameters:
    `vis` - Whether the component should be visible.
  See Also:
    `VisualInterface.setVisible(boolean)`

### setMessage

    public void setMessage(java.lang.String msg)

### onCancel

    protected void onCancel()

### wasCancelled

    public boolean wasCancelled()

### getInsets

    public java.awt.Insets getInsets()

  Specified by:
    `getInsets` in interface `ContainerInterface`
  Overrides:
    `getInsets` in class `DialogContainerComponent`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.